<?xml version="1.0" encoding="utf-8" ?>

<hibernate-mapping xmlns="urn:nhibernate-mapping-2.2">
	<class name="AidA.Data.Entities.AntragsGegenstand, AidA" table="AntragsGegenstand">
		<id name="Id" column="Id" type="Int64" unsaved-value="null">
			<generator class="identity" />
		</id>
		<property name="Gegenstand" type="String" />
		<property name="BetragBeantragt" type="decimal" />
		<property name="BeantragtTimestamp" type="DateTime2" />
		<property name="BetragBewilligt" type="decimal" />
		<property name="BewilligtTimestamp" type="DateTime2" />
		<property name="Darlehen" type="Boolean" />
		<property name="GeaendertDurchTimestamp" type="DateTime2" />
		<property name="Bemerkung" type="String" />
		<property name="Version" type="Int64" />

		<bag name="FinanzTransaktionen" table="FinanzTransaktion" generic="true" cascade="all-delete-orphan">
			<key column="AntragsGegenstandId" />
			<one-to-many class="AidA.Data.Entities.FinanzTransaktion, AidA" />
		</bag>
	</class>
</hibernate-mapping>